#!/bin/bash
# add sles 11 repos script
#

function usage {
        echo "Usage: $0 [ SLES | SLED ]"
        exit 1
}

if [ "${1}" == "" ] ; then
        DIST="SLES"
else
        if [ "${1}" != "SLES" ] || [ "${1}" != "SLED" ] ; then
                usage
        else
                DIST="${1}"
        fi
fi
if [ "${2}" == "" ] ; then
        PREFIX="-SP1"
else
        PREFIX="${2}"
fi
SYSARCH=`uname -m`

if [ "${SYSARCH}" == "x86_64" ] ; then
        ARCH="x86_64"
        SUFFIX="-64"
else
        ARCH="i586"
        SUFFIX=""
fi

BASEDIST="http://sles.internetx.de/suse/sles11/${DIST}11${SUFFIX}/;${DIST}11${SUFFIX}${PREFIX}"
SDKDIST="http://sles.internetx.de/suse/sle-11sdk${SUFFIX}/;SLE-11-SDK${SUFFIX}${PREFIX}"
HAEDIST="http://sles.internetx.de/suse/sle-11hae${SUFFIX}/;SLE-11-HAE${SUFFIX}${PREFIX}"
BASEUPDATE="http://sles.internetx.de/suse/update/SLE/${DIST}11${PREFIX}-Updates/sle-11-${ARCH}/;${DIST}11${PREFIX}-Updates"
EXTRAUPDATE="http://sles.internetx.de/suse/update/SLE/${DIST}11-Extras/sle-11-${ARCH}/;${DIST}11-Extras"
HAEUPDATE="http://sles.internetx.de/suse/update/SLE/SLE11-HAE${PREFIX}-Updates/sle-11-${ARCH}/;SLE-11-HAE${PREFIX}-Updates"
SDKUPDATE="http://sles.internetx.de/suse/update/SLE/SLE11-SDK${PREFIX}-Updates/sle-11-${ARCH}/;SLE-11-SDK${PREFIX}-Updates"
#SMTUPDATE="http://sles.internetx.de/suse/update/SLE/SLE11-SMT${PREFIX}-Updates/sle-11-${ARCH}/;SLE-11-SMT${PREFIX}-Updates"

for DATASET in ${BASEDIST} ${SDKDIST} ${HAEDIST} ${BASEUPDATE} ${EXTRAUPDATE} ${HAEUPDATE} ${SDKUPDATE} ${SMTUPDATE} ; do

        REPO=`echo ${DATASET} | awk -F\; '{print $1}'`
        REPOALIAS=`echo ${DATASET} | awk -F\; '{print $2}'`
        zypper ar -f ${REPO} ${REPOALIAS}

done
